Snapvisor Docs

Subscribe to a test

Start receiving notifications about a test — new comments and the changes it produces. Clears a previous explicit unsubscription. Use it when the user wants to follow a test they are not already notified about.

POST
/projects/{owner}/{project}/tests/{testId}/subscription

Start receiving notifications about a test — new comments and the changes it produces. Clears a previous explicit unsubscription. Use it when the user wants to follow a test they are not already notified about.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length
testId*string

The test identifier, as returned in a diff's test.id

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/string/tests/string/subscription"
{  "subscribed": true}